// Copyright 2009-2021:
//   GobySoft, LLC (2013-)
//   Massachusetts Institute of Technology (2007-2014)
//   Community contributors (see AUTHORS file)
// File authors:
//   Toby Schneider <toby@gobysoft.org>
//   Thomas McCabe <tom.mccabe@missionsystems.com.au>
//
//
// This file is part of the Goby Underwater Autonomy Project Libraries
// ("The Goby Libraries").
//
// The Goby Libraries are free software: you can redistribute them and/or modify
// them under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 2.1 of the License, or
// (at your option) any later version.
//
// The Goby Libraries are distributed in the hope that they will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with Goby.  If not, see <http://www.gnu.org/licenses/>.

// courtesy header for the acoustic modem driver (libmodemdriver)
#ifndef GOBY_ACOMMS_MODEM_DRIVER_H
#define GOBY_ACOMMS_MODEM_DRIVER_H

// driver base class
#include "goby/acomms/modemdriver/driver_base.h"

// WHOI Micro-Modem driver
#include "goby/acomms/modemdriver/mm_driver.h"

// toy example "ABC" driver
#include "goby/acomms/modemdriver/abc_driver.h"

// Benthos ATM-900 driver
#include "goby/acomms/modemdriver/benthos_atm900_driver.h"

// Iridium 9532 driver
#include "goby/acomms/modemdriver/iridium_driver.h"

// Iridium shore-side RUDICS/SBD driver
#include "goby/acomms/modemdriver/iridium_shore_driver.h"

// User Datagram Protocol (UDP) driver (point-to-point only)
#include "goby/acomms/modemdriver/udp_driver.h"

// UDP Multicast driver
#include "goby/acomms/modemdriver/udp_multicast_driver.h"

// Popoto Driver
#include "goby/acomms/modemdriver/popoto_driver.h"

#endif
