# goby project

The Goby Underwater Autonomy Project aims to create a unified framework for multiple scientific autonomous marine vehicle collaboration, seamlessly incorporating acoustic, ethernet, wifi, and serial communications. Goby provides a publish/subscribe middleware that operates on the concept of unified Nested Communications, with differing layers for interthread, interprocess, and intervehicle communications.

- Contact Toby (https://github.com/tsaubergine) for information on becoming involved with goby.
- Documentation: https://goby.software/3.0/
- Wiki: https://github.com/GobySoft/goby3/wiki (also see older wiki: https://github.com/GobySoft/goby/wiki)

## goby3 examples

The goby3-examples repository (https://github.com/GobySoft/goby3-examples) is the best place to see working examples. You may fork this project as a starting point for your own projects using Goby3 so you don't need to configure your own build environment from hand.

## compiling goby

See the [Download and Install Goby](https://goby.software/3.0/index.html#autotoc_md110) page.

## goby licensing

please read the COPYING file found in this directory

## contributing to Goby

please read the AUTHORS file found in this directory for instructions on how to contribute to Goby. You can fork the project and use the Github pull request system for submitting bug fixes and new features.

## reporting bugs and other issues

please use the Github issue tracking system to report bugs or inconsistencies in the software or documentation. If you have a fix, this is greatly appreciated as well.

